Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
CSPresenceConfiguration Class Reference

User configuration information for the presence service. More...

`#import <CSPresenceConfiguration.h>`

Inherits NSObject.

## Properties
BOOL | enabled
| Indicates whether the presence service is enabled. More...
BOOL | sendAllCallsOnDoNotDisturb
| Sets a link between "Do Not Disturb" presence state and "Send All Calls" call service feature. More...
NSString * | serverAddress
| An optional parameter to specify the presence server address. More...
NSTimeInterval | autoAwayTimeout
| Sets the timeout for the user inactivity timer. More...

## Detailed Description

User configuration information for the presence service.

This class provides configuration and preference data for the presence service features.

## Property Documentation

- (NSTimeInterval) autoAwayTimeout
| read write nonatomic assign

Sets the timeout for the user inactivity timer.

Inactivity timer is used to automatically change the user's presence state to 'away' if the user is inactive, i.e. not using the device with the installed application. When the timer fires, the user's presence is set to the 'away' state. If zero value is specified, the inactivity timer is disabled.

- (BOOL) enabled
| read write nonatomic assign

Indicates whether the presence service is enabled.

- (BOOL) sendAllCallsOnDoNotDisturb
| read write nonatomic assign

Sets a link between "Do Not Disturb" presence state and "Send All Calls" call service feature.

If the link is enabled and "Send All Calls" feature is available, the following behavior applies. Once the presence state of the user changes to "Do not Disturb", "Send All Calls" is automatically switched on. If the presence state of the user changes from "Do not Disturb" to any other state, "Send All Calls" is automatically switched off.

- (NSString*) serverAddress
| read write nonatomic copy

An optional parameter to specify the presence server address.

If configured, this server will be used as the domain in the request URI for all presence-related messages. Otherwise the address will be discovered automatically.

The documentation for this class was generated from the following file:

- CSPresenceConfiguration.h